import 'package:hub/features/storage/index.dart';
import 'package:sqflite/sqflite.dart';

class DatabaseStorage implements BaseStorage {
  DatabaseStorage._();

  static final DatabaseStorage instance = DatabaseStorage._();

  late final Database _database;
  bool _isInitialized = false;


  static DatabaseStorageKey getInstanceByKey(String key) {
    if (ProfileStorageKey.values.map((e) => e.value).toList().contains(key)) {
      return ProfileStorageKey.instance;
    } else (SharedPreferencesKey.values.map((e) => e.value).toList().contains(key)) {
      return LocalsStorageKey.instance;
  
  }

  

  }
  
  @override
  Future<void> clearAll() => throw UnimplementedError(); 
  @override
  Future<void> delete(String key) => throw UnimplementedError();
  @override
  Future<String?> get(String key) => throw UnimplementedError();
  @override
  Future<void> init() => throw UnimplementedError();
  @override
  Future<void> set<T>(String key, T value) => throw UnimplementedError();
}